ZRAMCTL(8)

NUME
zramctl - configurează și controlează dispozitivele zram

REZUMAT

Obține informații:
    zramctl [opțiuni]

Reinițiază dispozitivul zram:
    zramctl -r dispozitiv-zram...

Afișează numele primului dispozitiv zram neutilizat:
    zramctl -f

Configurează un dispozitiv zram:
    zramctl [-f | dispozitiv-zram] [-s dimensiunea] [-t număr] [-a algoritm]

DESCRIERE

zramctl este utilizat pentru a configura rapid parametrii dispozitivelor zram, pentru a reiniția dispozitivele zram și pentru a consulta starea dispozitivelor zram utilizate.

Dacă nu se dă nicio opțiune, sunt afișate toate dispozitivele zram de dimensiune diferită de zero.

Rețineți că nodul dispozitiv-zram specificat în linia de comandă trebuie să existe deja. Comanda zramctl creează un nou nod /dev/zram<N> numai atunci când este specificată opțiunea --find. Este posibil (și comun) ca după pornirea sistemului nodurile /dev/zram<N> să nu fie încă create.

OPȚIUNI

-a, --algorithm lzo|lz4|lz4hc|deflate|842|zstd
    Stabilește algoritmul de compresie care urmează să fie utilizat pentru comprimarea datelor în dispozitivul zram.

    Lista algoritmilor suportați ar putea fi inexactă, deoarece depinde de configurația curentă a nucleului. O prezentare generală de bază poate fi obținută utilizând comanda "cat /sys/block/zram0/comp_algorithm"; cu toate acestea, vă rugăm să rețineți că această listă ar putea fi, de asemenea, incompletă. Acest lucru se datorează faptului că ZRAM utilizează API-ul Crypto, iar dacă anumiți algoritmi au fost construiți ca module, devine imposibilă enumerarea tuturor acestora.

-f, --find
    Găsește primul dispozitiv zram nefolosit. Dacă este prezent un argument --size, atunci inițializează dispozitivul.

-n, --noheadings
    Nu afișează o linie de antet în ieșirea de stare.

-o, --output listă
    Definește coloanele de ieșire a stării care urmează să fie utilizate. Dacă nu se specifică niciun aranjament de ieșire, se utilizează un set implicit. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă (de exemplu, zramctl -o+COMP-RATIO).

-p, --algorithm-params
    Stabilește parametrii algoritmului, de exemplu, level=9 dict=/etc/dictionary pentru a stabili nivelul de comprimare și dicționarul pre-format. Parametrii sunt specifici algoritmului.

--output-all
    Afișează toate coloanele disponibile.

--raw
    Utilizează formatul brut pentru ieșirea de stare.

-r, --reset
    Reinițiază opțiunilor dispozitivului (dispozitivelor) zram specificat(e). Configurările dispozitivelor zram pot fi modificate numai după o reinițiere.

-s, --size dimensiunea
    Creează un dispozitiv zram cu dimensiunea specificată. Dispozitivele zram sunt aliniate la paginile de memorie; atunci când dimensiunea solicitată nu este un multiplu al dimensiunii paginii, aceasta va fi rotunjită la următorul multiplu. Dacă nu se specifică altfel, unitatea parametrului dimensiune este de octeți.

    Argumentul dimensiune poate fi urmat de sufixele multiplicative KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”) sau sufixele KB (=1000), MB (=1000*1000), și așa mai departe pentru GB, TB, PB, EB, ZB și YB.

-t, --streams număr
    Stabilește numărul maxim de fluxuri de compresie care pot fi utilizate pentru dispozitiv. Valoarea implicită este utilizarea tuturor procesoarelor și a unui singur flux pentru nucleele mai vechi de 4.6.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

zramctl returnează 0 în caz de succes, diferit de zero în caz de eșec.

FIȘIERE

/dev/zram[0..N]
    dispozitive de bloc zram

EXEMPLU

Următoarele comenzi configurează un dispozitiv zram cu o dimensiune de un gigabyte și îl utilizează ca dispozitiv de spațiu de interschimb (swap).

     # zramctl --find --size 1024M
     /dev/zram0
     # mkswap /dev/zram0
     # swapon /dev/zram0
     ...
     # swapoff /dev/zram0
     # zramctl --reset /dev/zram0

AUTORI

CONSULTAȚI ȘI

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda zramctl face parte din pachetul util-linux care poate fi descărcat de la